Saved views
GET https://analytics.odexx.tech/api/dashboard-views/
curl --request GET \
--url 'https://analytics.odexx.tech/api/dashboard-views/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.odexx.tech/api/dashboard-views/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| website_id | Optional Integer | |
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name. |
| datetime_field | Optional String | Allowed values: datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: dashboard_view_id, website_id, user_id, name, datetime, last_datetime. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-08-09 17:33:12",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.odexx.tech/api/dashboard-views?page=1",
"last": "https://analytics.odexx.tech/api/dashboard-views?page=1",
"next": null,
"prev": null,
"self": "https://analytics.odexx.tech/api/dashboard-views?page=1"
}
}
GET https://analytics.odexx.tech/api/dashboard-views/{dashboard_view_id}
curl --request GET \
--url 'https://analytics.odexx.tech/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.odexx.tech/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-08-09 17:33:12",
"last_datetime": null
}
}
POST https://analytics.odexx.tech/api/dashboard-views
| Parameters | Details | Description |
|---|---|---|
| website_id | Required Integer | - |
| name | Required String | - |
| filters | Required String | JSON encoded array with by, rule, and value. |
curl --request POST \
--url 'https://analytics.odexx.tech/api/dashboard-views' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
--url 'https://analytics.odexx.tech/api/dashboard-views' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-08-09 17:33:12",
"last_datetime": null
}
}
POST https://analytics.odexx.tech/api/dashboard-views/{dashboard_view_id}
| Parameters | Details | Description |
|---|---|---|
| website_id | Optional Integer | - |
| name | Optional String | - |
| filters | Optional String | JSON encoded array with by, rule, and value. |
curl --request POST \
--url 'https://analytics.odexx.tech/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
--url 'https://analytics.odexx.tech/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'filters=[{"by":"country_code","rule":"is","value":"US"}]' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"filters": [
{
"by": "country_code",
"rule": "is",
"value": "US"
}
],
"datetime": "2026-08-09 17:33:12",
"last_datetime": "2026-08-09 17:33:12"
}
}
DELETE https://analytics.odexx.tech/api/dashboard-views/{dashboard_view_id}
curl --request DELETE \
--url 'https://analytics.odexx.tech/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.odexx.tech/api/dashboard-views/{dashboard_view_id}' \
--header 'Authorization: Bearer {api_key}' \